Subject: Re: bug#11541: 24.0.97; Crash when visiting file on OS X 10.7.3

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Jun 2012 09:14:50 +0300

> From: Florian Ebeling <[email-masked]>
> Date: Fri, 1 Jun 2012 07:43:57 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> >> So right after the crash the font_spec still looks like a legit lisp
> >> object. Don't ask me why that was different before. The values here
> >> and in other mails were copy-pasted, so that did happen.
> >
> > My guess is that the earlier attempts were made on an optimized build.
> 
> Heh, good guess. That's the case, indeed. I changed optimization when
> gdb said some variable was optimized away. What I did was
> 
> rm nsfont.o
> make CFLAGS='-O0 -ggdb'
> make install

In that case, please post an up-to-date backtrace from the crash of
the unoptimized build.  We need to restart our reasoning about this
from the beginning, since it sounds like it was a wild-goose chase
until now.

Thanks.